| Home | Libraries | People | FAQ | More

#### closeable_view

View on a range, either closing it or leaving it as it is.

###### Description

The closeable_view is used internally by the library to handle all rings, either closed or open, the same way. The default method is closed, all algorithms process rings as if they are closed. Therefore, if they are opened, a view is created which closes them. The closeable_view might be used by library users, but its main purpose is internally.

###### Synopsis

    template<typename Range, closure_selector Close>
    struct closeable_view
    {
      // ...
    };

###### Template parameter(s)

Parameter | Description
--- | ---
typename Range | Original range
closure_selector Close | Specifies if it the range is closed, if so, nothing will happen. If it is open, it will iterate the first point after the last point.

###### Header

`#include <boost/geometry/views/closeable_view.hpp>`